function [ detected, index ] = detectSignal( m,code,Lcode)
%DETECTSIGNAL Summary of this function goes here
%   Detailed explanation goes here

c = xcorr(code,m);

detected = false;
index = -1;

for i = 2:length(c)
    if abs(c(i-1) - c(i)) > Lcode/12
        detected = true;
        index = i;
        break;
    end
end

if 0
    % Plot crosscorr
    figure;
    plot(c)
    hold all;
    ylim([-40 250]);
    if detected
        set(gca,'Color',[1 .9 .9]);
        text(index,c(index),[num2str(c(index)) ',  ' num2str(index)]);
    end
    title('Demoulated signal/code correlation');
    
end

end

