classdef RTemulator < handle
    %RTEMULATOR Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        inProcess;
        %outProcess;
        
        l_frame;
        detected_signals;
    end
    
    methods
        function self = RTemulator(inProcess, l_frame)
            self.inProcess = inProcess;
            %self.outProcess = outProcess;
            self.l_frame = l_frame;
            
        end
        
        function run(self,s)
            [n_ch l_signal] = size(s);
            n_frames = ceil(l_signal/self.l_frame);
            
            s = [s zeros(n_ch,n_frames*self.l_frame-l_signal)];
            
            for i = 1:n_frames
               self.inProcess.step(s(:, (i-1)*self.l_frame+1 : i*self.l_frame ));
               %self.outProcess.step(detect);
            end
            
        end
    end
    
end

