function [ lag ] = calculateLag_baseband( detected, index, LcodeUp, Lbuffer, i, j, fs, fc, fm, fs_baseband, print )
%CALCULATELAG Summary of this function goes here
%   Detailed explanation goes here

if i == 1
    lag = (LcodeUp-index)*fs/fs_baseband;
else
    lag = Lbuffer*(i-1) + fs/fs_baseband*(LcodeUp-index); 
end
lag = round(lag);

if ~detected
    lag = 0;
else
    detected = j;
end
if print
    fprintf('Detected: %i Buffer: %i  Lag: %i\n',detected,i,lag);
end

end

