function [ detected, index, Ls ] = detectSignal_baseband( m, code, Lcode, fs, fc, fm, fs_received )
%DETECTSIGNAL_BASEBAND Summary of this function goes here
%   Detailed explanation goes here

detected = false;
index = -1;

% Upsampling
code_modulated = 2.*code - 1;
P = fs_received/fm;
Ls = P*Lcode;
code_upsampled = zeros(1,Ls);
for i = 1:Lcode-1
    code_upsampled(P*i-(P-1)) = code_modulated(i);
    for j = 1:P-1
        code_upsampled(P*i-(P-1)+j) = code_modulated(i);
    end
end


c = xcorr(code_upsampled,m);

[level, index] = max(c);

if  level > Ls/25
    detected = true;
end

if 0
    % Plot crosscorr
    figure;
    plot(c)
    hold all;
    ylim([-100 1000]);
    if detected
        set(gca,'Color',[1 .9 .9]);
        text(index,c(index),[num2str(c(index)) ',  ' num2str(index)]);
    end
    title('Demoulated signal/code correlation');
    
end

end

